Subject: Re: localed stuck in recent 3.18 git in copy_net_ns?

From: "Paul E. McKenney" <[email-masked]>
Date: Fri, 24 Oct 2014 09:54:54 -0700

On Fri, Oct 24, 2014 at 07:29:43PM +0300, Yanko Kaneti wrote:
> On Fri-10/24/14-2014 08:40, Paul E. McKenney wrote:
> > On Fri, Oct 24, 2014 at 12:08:57PM +0300, Yanko Kaneti wrote:
> > > On Thu-10/23/14-2014 15:04, Paul E. McKenney wrote:
> > > > On Fri, Oct 24, 2014 at 12:45:40AM +0300, Yanko Kaneti wrote:
> > > > > 
> > > > > On Thu, 2014-10-23 at 13:05 -0700, Paul E. McKenney wrote:
> > > > > > On Thu, Oct 23, 2014 at 10:51:59PM +0300, Yanko Kaneti wrote:

[ . . . ]

> > > Ok, unless I've messsed up something major, bisecting points to:
> > > 
> > > 35ce7f29a44a rcu: Create rcuo kthreads only for onlined CPUs
> > > 
> > > Makes any sense ?
> > 
> > Good question.  ;-)
> > 
> > Are any of your online CPUs missing rcuo kthreads?  There should be
> > kthreads named rcuos/0, rcuos/1, rcuos/2, and so on for each online CPU.
> 
> Its a Phenom II X6. With 3.17 and linux-tip with 35ce7f29a44a reverted, the rcuos are 8
> and the modprobe ppp_generic testcase reliably works, libvirt also manages
> to setup its bridge.
> 
> Just with linux-tip , the rcuos are 6 but the failure is as reliable as
> before.

Thank you, very interesting.  Which 6 of the rcuos are present?

> Awating instructions: :)

Well, I thought I understood the problem until you found that only 6 of
the expected 8 rcuos are present with linux-tip without the revert.  ;-)

I am putting together a patch for the part of the problem that I think
I understand, of course, but it would help a lot to know which two of
the rcuos are missing.  ;-)

							Thanx, Paul